Upload prescriptions across providers and use list or download endpoints where supported.
Use these endpoints to upload prescription (Rx) maps to provider accounts. Depending on the provider, you can also list existing prescriptions or download them.For conceptual background, see Prescriptions.
The Prescriptions API is currently in beta. Endpoints, request/response schemas, and behavior may change without notice.
POST/users/{leafUserId}/ravenSlingshotUploads a prescription file using the Raven Slingshot credentials of a Leaf user.The file must be a .zip containing one each of .shp, .dbf, and .shx — all sharing the same base name. The zip cannot contain subfolders.
POST/users/{leafUserId}/johnDeereUploads a prescription file using the John Deere credentials of a Leaf user.The organizationId query parameter is required and must be the organization ID from John Deere.The file must be a .zip containing a folder named Rx/ with one each of .shp, .dbf, and .shx — all sharing the same base name.
GET/users/{leafUserId}/johnDeere/downloadDownloads a prescription by its John Deere file ID. The fileId parameter refers to the ID on the John Deere side.
POST/users/{leafUserId}/cnhiUploads a prescription file using the CNHi credentials of a Leaf user.The companyId query parameter is required. You can obtain this value from the grower endpoints using the providerOrganizationId property.The file must be a .zip containing one each of .shp, .dbf, and .shx — all sharing the same base name. No subfolders.
POST/users/{leafUserId}/climateFieldViewUploads a prescription file using the Climate FieldView credentials of a Leaf user.The file must be a .zip containing one each of .shp, .dbf, and .shx — all sharing the same base name. No subfolders.
POST/users/{leafUserId}/trimbleUploads a prescription file using the Trimble credentials of a Leaf user.The organizationId, rateColumn, and rateUnit query parameters are required.rateColumn must be the column name from the Shapefile. rateUnit must be one of the supported units listed below.The file must be a .zip containing one each of .shp, .dbf, and .shx — all sharing the same base name. No subfolders.
POST/users/{leafUserId}/agleaderUploads a prescription file using the AgLeader credentials of a Leaf user.The file must be a .zip containing one each of .shp, .dbf, and .shx — all sharing the same base name. No subfolders.